# the core object files (without target specific objects;
# those are added in the target.mak files)
COREOBJS = $(OBJ)/version.o $(OBJ)/mame.o \
	$(OBJ)/drawgfx.o $(OBJ)/common.o $(OBJ)/usrintrf.o $(OBJ)/ui_text.o \
	$(OBJ)/cpuintrf.o $(OBJ)/cpuexec.o $(OBJ)/cpuint.o $(OBJ)/memory.o $(OBJ)/timer.o \
	$(OBJ)/palette.o $(OBJ)/input.o $(OBJ)/inptport.o $(OBJ)/unzip.o \
	$(OBJ)/audit.o $(OBJ)/info.o $(OBJ)/png.o \
	$(OBJ)/tilemap.o \
	$(OBJ)/state.o $(OBJ)/datafile.o $(OBJ)/hiscore.o \
	$(sort $(CPUOBJS)) \
	$(OBJ)/sndintrf.o \
	$(OBJ)/sound/streams.o $(OBJ)/sound/mixer.o \
	$(sort $(SOUNDOBJS)) \
	$(OBJ)/vidhrdw/generic.o \
	$(OBJ)/machine/ticket.o $(OBJ)/machine/eeprom.o \
	$(OBJ)/window.o \
	$(OBJ)/profiler.o \
	$(OBJ)/ui_font.o \
	$(OBJ)/jukebox.o \

ifdef DEBUG
COREOBJS += $(OBJ)/mamedbg.o $(sort $(DBGOBJS))
endif

TOOLS = romcmp$(EXE)
TEXTS = gamelist.txt

